Bug 100520 - RFE: Allow RPM to prelink w/ --prelink (or what-not)...
RFE: Allow RPM to prelink w/ --prelink (or what-not)...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-07-22 22:25 EDT by Ali-Reza Anghaie
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-12 16:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ali-Reza Anghaie 2003-07-22 22:25:47 EDT
Description of problem: 
Provide the ability for RPM to prelink a binary with some sensible options on rpm -i --prelink (or 
something). And make sure that's maintainable so up2date and other such programs will keep 
default prelink options too. 
The RPM DB would also maintain the md5 or sha1 post-prelink for integrity checking as 
Finally when the option is in use RPM would warn that in-memory versions of the program will 
end up w/ multiple copies (which I guess would happen on upgrades ~anyway~).
Comment 1 Ali-Reza Anghaie 2004-03-04 22:59:06 EST
Moved to RHEL as a RFE there.
Comment 2 Josh Rollyson 2004-06-21 03:32:05 EDT
Ability to call prelink automatically and track checksum changes
resulting from prelink would be very useful.

Comment 3 Suzanne Hillman 2005-05-12 16:47:44 EDT
In order to file a RHEL feature request, please either contact Red Hat's
Technical Support line at 888-REDHAT-1 or file a web ticket at
http://www.redhat.com/apps/support/.  Bugzilla is not an official support
channel, has no response guarantees, and may not route your request to the
correct area to assist you.  Using the official support channels above will
guarantee that your issue is handled appropriately and routed to the
individual or group which can best assist you with this issue and will also
allow Red Hat to track the issue, ensuring that any applicable feature
addition is included in all releases and is not dropped from a future update
or major release.

Note You need to log in before you can comment on or make changes to this bug.